%define	evolution_base_version	3.10
%define	api	1.2
%define	major	0
%define	libeews		%mklibname eews %{api} %{major}
%define	libewsutils	%mklibname ewsutils %{major}
%define	liblzx		%mklibname lzx %{major}
%define	devname		%mklibname eews -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Exchange Connector for Evolution, compatible with Exchange 2007 and later
Name:		evolution-ews
Version:	3.10.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		Networking/Mail
Url:		http://projects.gnome.org/evolution/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(camel-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= %{version}
BuildRequires:	pkgconfig(evolution-plugin-3.0) >= %{version}
BuildRequires:	pkgconfig(evolution-shell-3.0) >= %{version}
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libebackend-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-book-1.2) >= %{version}
BuildRequires:	pkgconfig(libedata-cal-1.2) >= %{version}
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{version}
BuildRequires:	pkgconfig(libemail-engine) >= %{version}
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.38.1
BuildRequires:	krb5-devel
Requires:	evolution >= %{version}

%description
The EWS Exchange Connector for Evolution provides a Exchange backend
from evolution-data-server as well as plugins for Evolution to access
Exchange features.

The EWS Exchange Connector is using the Exchange Web Services interface
and is therefore compatible with Exchange 2007 and later.

Provides exchange connectivity for exchange server 2007 and later using
exchange web services protocol.

%package  -n %{libeews}
Summary:	Client library for Accessing Exchange Servers
Group:		System/Libraries

%description -n %{libeews}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%package  -n %{libewsutils}
Summary:	Client library for Accessing Exchange Servers -- Utilities library
Group:		System/Libraries

%description -n %{libewsutils}
This library provides utilities API for EWS Exchange Connector.

%package -n %{devname}
Summary:	Client library for Accessing Exchange Servers - Development Files
Group:		Development/C
Requires:	%{libeews} = %{version}
Requires:	%{libewsutils} = %{version}

%description -n %{devname}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-internal-lzx

%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution/%{evolution_base_version}/modules/module-ews-configuration.so
%{_datadir}/evolution/%{evolution_base_version}/errors/module-ews-configuration.error

%files -n %{libeews}
%{_libdir}/evolution-data-server/libeews-%{api}.so.%{major}*

%files -n %{libewsutils}
%{_libdir}/evolution-data-server/libewsutils.so.%{major}*

%files -n %{devname}
#%{_libdir}/pkgconfig/libeews-1.2.pc
%{_libdir}/evolution-data-server/libeews-1.2.so
%{_libdir}/evolution-data-server/libewsutils.so
%{_includedir}/evolution-data-server/ews


%changelog
* Sun Nov 10 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550402
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541713
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 496279
- new version 3.10.1

* Sat Sep 21 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 482970
- new version 3.10.0

* Sun Sep 15 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 479888
- new version 3.9.92

* Sun Sep 01 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474012
- new version 3.9.91

* Sun Aug 18 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 467468
- update br

  + ovitters <ovitters>
    - new version 3.9.90

* Sun Jul 28 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 459833
- new version 3.9.5

* Sat Jul 27 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 459014
- new version 3.9.4

* Wed Jul 24 2013 fwang <fwang> 3.8.4-2.mga4
+ Revision: 457654
- requires evo

* Wed Jul 24 2013 fwang <fwang> 3.8.4-1.mga4
+ Revision: 457649
- lzx becomes static lib
- use internal lzx

  + ovitters <ovitters>
    - new version 3.8.4

* Sat Jun 08 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440689
- new version 3.8.3

* Sun Jun 02 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 434373
- rebuild for new ical

* Sun May 26 2013 fwang <fwang> 3.8.2-1.mga4
+ Revision: 427843
- update file list
- update file list
- update file list
- new version 3.8.2

* Mon Jan 21 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 390600
- new version 3.6.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 349805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317027
- new version 3.6.1

* Sat Sep 22 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 296725
- new version 3.6.0

* Sun Sep 16 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 294454
- new version 3.5.92

* Sat Sep 01 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 287032
- update file list
- update file list
- update file list
- new version 3.5.91

  + ovitters <ovitters>
    - new version 3.5.5
    - clean spec
    - Import from Mandriva


* Tue Jun 19 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.3-1
+ Revision: 806235
- imported package evolution-ews

